/*
 * $Id: pcapset.h,v 1.1.1.1 2002/02/23 02:47:02 kos Exp $
 *
 */

#ifndef PCAPSET_H
#define PCAPSET_H

typedef struct pcap_linktype_t {
  char *name;
  unsigned int type;
} pcap_linktype_t;

struct pcap_timeval {
    bpf_int32 tv_sec;           /* seconds */
    bpf_int32 tv_usec;          /* microseconds */
};

struct pcap_sf_pkthdr {
    struct pcap_timeval ts;     /* time stamp */
    bpf_u_int32 caplen;         /* length of portion present */
    bpf_u_int32 len;            /* length this packet (off wire) */
};

#endif /* PCAPSET_H */
